SYSLOGC(8)

NAME
syslogc - collect messages from syslog memory buffer

SYNOPSIS
syslogc [-Ccfo] [-n lines] [-s reporting_socket] logname
syslogc -q

DESCRIPTION
syslogc collects messages from the syslogd(8) memory buffer specified by the logname argument.

For syslogc to work, syslogd(8) must be configured with one or more memory buffer logs (see syslog.conf(5) for details) and have a reporting socket location specified on the commandline (using the -s option to syslogd(8)).

By default, syslogc will query the specified log and return all entries to standard output.

The options are as follows:

-C  Request that the log buffer be cleared without reading it.

-c  Request that the log buffer be cleared once it has been read.

-f  Print out the last 10 lines and read from the buffer continuously. Like the -f option in tail(1).

-n lines
    Print the specified number of lines from the end of the buffer.

-o  Check whether the specified log has overflowed. If the log has overflowed, then a message will be printed to stdout(4) and the exit status will be set to 1.

-q  Request a list of available logs. If a log has overflowed an asterisk (‘*’) will be appended to its name.

-s reporting_socket
    Specify alternate reporting socket location (the default is /var/run/syslogd.sock).

SEE ALSO
syslog(3), syslog.conf(5), syslogd(8)

HISTORY
The syslogc command first appeared in OpenBSD 3.5.

CAVEATS
The buffer space used for writing logs through the socket is limited. Thus it is possible to lose logs when running in continuous mode. Losses are reported on standard error.